Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezarticle/admin/mediaedit.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
if(isset( $OK)) if(isset( $DeleteSelected)) | $t
if(is_numeric( $MediaID)) | else
| $author = new eZAuthor()
| $authorArray = $author->getAll()
foreach( $authorArray as $author) | $type = new eZMediaType()
| $types = $type->getAll()
| $article = new eZArticle( $ArticleID )

## Variable Documentation

## ◆ $article

$article = new eZArticle( $ArticleID )

Definition at line 290 of file ezarticle/admin/mediaedit.php.

## ◆ $author

$author = new eZAuthor()

Definition at line 213 of file ezarticle/admin/mediaedit.php.

## ◆ $authorArray

$authorArray = $author->getAll()

Definition at line 214 of file ezarticle/admin/mediaedit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 37 of file ezarticle/admin/mediaedit.php.

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 38 of file ezarticle/admin/mediaedit.php.

## ◆ $t

if (isset($OK)) if (isset($DeleteSelected)) $t

Initial value:
= new eZTemplate( "kernel/ezarticle/admin/" . $ini->variable( "eZArticleMain", "AdminTemplateDir" ),
"kernel/ezarticle/admin/intl/", $Language, "mediaedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezarticle/admin/mediaedit.php:38
$ini
$ini
Definition: ezarticle/admin/mediaedit.php:37

Definition at line 135 of file ezarticle/admin/mediaedit.php.

## ◆ $type

foreach ($authorArray as $author) $type = new eZMediaType()

Definition at line 232 of file ezarticle/admin/mediaedit.php.

## ◆ $types

$types = $type->getAll()

Definition at line 233 of file ezarticle/admin/mediaedit.php.

## ◆ else

foreach ($types as $typeItem) if (is_a($mediaType, "eZMediaType")) if (count($attributes) > 0||!isset($type)) else

Initial value:
{
$t->set_var( "name_value", "$Name" )
$t
if(isset( $OK)) if(isset( $DeleteSelected)) $t
Definition: ezarticle/admin/mediaedit.php:135

Definition at line 202 of file ezarticle/admin/mediaedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.